package com.chenyang.druid.proxy.jdbc;

import java.sql.Wrapper;
import java.util.Map;

public interface WrapperProxy extends Wrapper {
   long getId();

   Object getRawObject();

   int getAttributesSize();

   void clearAttributes();

   Map<String, Object> getAttributes();

   Object getAttribute(String var1);

   void putAttribute(String var1, Object var2);
}
